GWT 2.7.0

## com.google.gwt.http.client
Class Request

    java.lang.Object
      com.google.gwt.http.client.Request

    public class Request

extends java.lang.Object

An HTTP request that is waiting for a response. Requests can be queried for their pending status or they can be canceled.

### Required Module

Modules that use this class should inherit `com.google.gwt.http.HTTP`.

>     <module>
>       <!-- other inherited modules, such as com.google.gwt.user.User -->
>       <inherits name="com.google.gwt.http.HTTP"/>
>       <!-- additional module settings -->
>     </module>

Nested Class Summary
`(package private) static class` | `Request.RequestImpl` Native implementation associated with `Request`.
`(package private) static class` | `Request.RequestImplIE8And9` Special `Request.RequestImpl` for IE8, IE9 to work around some IE specialities.

Constructor Summary
`protected` | `Request()` Only used for building a `FailedRequest`.
`(package private)` | `Request(XMLHttpRequest xmlHttpRequest, int timeoutMillis, RequestCallback callback)` Constructs an instance of the Request object.

Method Summary
`void` | `cancel()` Cancels a pending request.
`(package private) void` | `fireOnResponseReceived(RequestCallback callback)`
`boolean` | `isPending()` Returns true if this request is waiting for a response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Request

    protected Request()

  Only used for building a `FailedRequest`.

### Request

    Request(XMLHttpRequest xmlHttpRequest,
            int timeoutMillis,
            RequestCallback callback)

  Constructs an instance of the Request object.

  Parameters:
    `xmlHttpRequest` - JavaScript XmlHttpRequest object instance
    `timeoutMillis` - number of milliseconds to wait for a response
    `callback` - callback interface to use for notification
  Throws:
    `java.lang.IllegalArgumentException` - if timeoutMillis < 0
    `java.lang.NullPointerException` - if xmlHttpRequest, or callback are null

Method Detail

### cancel

    public void cancel()

  Cancels a pending request. If the request has already been canceled or if it has timed out no action is taken.

### isPending

    public boolean isPending()

  Returns true if this request is waiting for a response.

  Returns:
    true if this request is waiting for a response

### fireOnResponseReceived

    void fireOnResponseReceived(RequestCallback callback)

GWT 2.7.0